#pragma once
//!@file игровые взрывы
struct Phys;
class Einty;
//! функции создающие взрывы
namespace expl_bank {
#define MAKE(NAME) void NAME(CP(Enity) master);
MAKE(dir_small) ///< направленный маленький взрыв от ракетки
MAKE(mid) ///< ???
MAKE(dir_big) ///< направленный большой взрыв
MAKE(player_side) ///< взрыв сайд шота игрока
MAKE(sphere) ///< взрыв светящейся сферы игрока
MAKE(bullet_crush) ///< разрушение пули истребителя
MAKE(shard_crush) ///< разрушение обломка
MAKE(small_expl) ///< мелкий взрывик
MAKE(spike_expl) ///< взрыв иглы
MAKE(spike_expl_plr) ///< взрыв игл игрока
MAKE(wave) ///< эффект взрывной волны
MAKE(plr) ///< взрыв игрока
MAKE(airbomb_frag) ///< вылет взрывных частей из бомбы
#undef MAKE
} // expl_bank ns
using expl_t = void (*)(CP(Enity) master);